Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.providers.x509.cache
Class EhCacheBasedX509UserCache

    java.lang.Object
      org.acegisecurity.providers.x509.cache.EhCacheBasedX509UserCache

All Implemented Interfaces:
  X509UserCache, InitializingBean

    public class EhCacheBasedX509UserCache

extends Object
implements X509UserCache, InitializingBean

Caches `User` objects using a Spring IoC defined EHCACHE.

Version:
  $Id: EhCacheBasedX509UserCache.java,v 1.7 2005/11/29 13:10:08 benalex Exp $
Author:
  Luke Taylor, Ben Alex

Constructor Summary
`EhCacheBasedX509UserCache()`

Method Summary
`void` | `afterPropertiesSet()`
`UserDetails` | `getUserFromCache(X509Certificate userCert)`
`void` | `putUserInCache(X509Certificate userCert, UserDetails user)`
`void` | `removeUserFromCache(X509Certificate userCert)`
`void` | `setCache(net.sf.ehcache.Cache cache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhCacheBasedX509UserCache

    public EhCacheBasedX509UserCache()

Method Detail

### setCache

    public void setCache(net.sf.ehcache.Cache cache)

### getUserFromCache

    public UserDetails getUserFromCache(X509Certificate userCert)

  Specified by:
    `getUserFromCache` in interface `X509UserCache`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### putUserInCache

    public void putUserInCache(X509Certificate userCert,
                               UserDetails user)

  Specified by:
    `putUserInCache` in interface `X509UserCache`

### removeUserFromCache

    public void removeUserFromCache(X509Certificate userCert)

  Specified by:
    `removeUserFromCache` in interface `X509UserCache`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.